<?php

namespace Factory;

use Util\Messages;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Release
{

    public function saveRelease(\Zeedhi\DevOps\Model\Configurationmanager\Entities\Release $release = null,
                                Entities\Project $project, $name, $product, $isFixRelease,$productServer)
    {
        if (!$release) {
            $release = new \Zeedhi\DevOps\Model\Configurationmanager\Entities\Release();
        }
        $release->setProduct($product);
        $release->setProject($project);
        $release->setName($name);
        $release->setDescription(Messages::DEO_CREATE_DESCRIPTION_DEFAULT);
        $release->setIsFixRelease($isFixRelease);
        $release->setProductServer($productServer);
        return $release;
    }

}